Update a directory entry
post
https://api.expiryedge.com/v1/updateDirectoryEntryeditor or admin60/minAny method
Request
curl -X POST 'https://api.expiryedge.com/v1/updateDirectoryEntry?id=dir_6Hv3' \
-H "Authorization: Bearer $EXPIRYEDGE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone": "+15550111222",
"notes": "New billing contact from October."
}'Response
{
"message": "Directory entry updated successfully.",
"entry": {
"id": "dir_6Hv3",
"name": "Contoso Legal",
"type": "Vendor",
"customType": "",
"phone": "+15550111222",
"email": "billing@contosolegal.example",
"address": "400 Market St, Springfield",
"notes": "New billing contact from October.",
"typedFields": {},
"customFields": [],
"organization_id": "org_northwind",
"user_id": "u_71bXq",
"createdAt": "2026-09-27T14:05:00.000Z",
"updatedAt": "2026-09-28T09:12:00.000Z"
}
}Partial update of the DirectoryEntryInput fields present in the body; id from the id query parameter.
customType is kept only when the same request sets type to Other.
idstringrequiredDirectory entry id.
namestringRequired on create.typestringOne of Person, Company, Vendor, Client, Partner, Asset, Property, Other. Defaults toPerson.customTypestringCustom type label; kept only whentypeisOther.phonestringemailstringaddressstringnotesstringtypedFieldsobjectType-specific fields as key -> value (e.g.website).customFieldsarray of objectsFree-form label/value pairs; items without a label are dropped.
200
Entry updated; returns the stored entry.
messagestringrequiredentryobjectrequiredA directory record (vendor, location, asset, person, ...) that expiries reference viadirectory_entry_ids.
400 | The request is missing required fields or contains invalid values. |
401 | Missing, expired or invalid bearer token. |
403 | Authenticated, but your role or organization does not allow this action. |
404 | The record does not exist or is not in your organization. |
429 | Too many requests for this endpoint from your IP. Wait Retry-After seconds. |
500 | Unexpected server error. Retry later; quote requestId to support. |
